---
sidebar_position: 13
description: Get list of object versions and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of object versions
 Gets the list of versions (revisions) of the object



`Function GetObjectVersionList(Val Token, Val Path, Val Count = 10) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path to the object |
  | Count | --amount | String, Number | &#x2716; | Number of the latest versions of the object to display |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    Path  = "/New/pic.png";

    Result = OPI_Dropbox.GetObjectVersionList(Token, Path, 1);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox GetObjectVersionList \
             --token "***" \
             --path "/New/pic.png" \
             --amount 1
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox GetObjectVersionList ^
             --token "***" ^
             --path "/New/pic.png" ^
             --amount 1
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "is_deleted": false,
 "entries": [
  {
   "name": "pic.png",
   "path_lower": "/new/pic.png",
   "path_display": "/New/pic.png",
   "id": "id:kJU6-a-pT48AAAAAAABiwQ",
   "client_modified": "***",
   "server_modified": "2025-12-10T19:43:22Z",
   "rev": "6459e3db4ca19bd841553",
   "size": 2114023,
   "is_downloadable": true,
   "content_hash": "0f3b18c255b0f252bd326cacc04c15c3aa57bd6b8234adb65aa7bb2987a65492"
  }
 ],
 "has_more": true
}
```
